Organization Configuration
Get Settings
The organization’s settings: app switches, policy, defaults, the device catalog, and read-only the organization’s identity and what Podero grants it.
GET
/
api
/
partners
/
v2.0
/
org
/
{org_id}
/
settings
Get Settings
curl --request GET \
--url https://api.example.com/api/partners/v2.0/org/{org_id}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/partners/v2.0/org/{org_id}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/partners/v2.0/org/{org_id}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"revision": "<string>",
"settings": {
"app_config": {
"showHemsFeatureEv": true,
"showHemsFeatureEvCharger": true,
"showHpOptimizationLevel": true,
"showSavings": true,
"allowSteeringToggleHp": true,
"allowSteeringToggleEv": true,
"allowSteeringToggleInv": true,
"showSolarTab": true,
"showChargingTab": true,
"showClimateTab": true,
"showExplainers": true,
"showExplainersHp": true,
"showExplainersInv": true,
"requireExternalUserId": false
},
"feature_flags": {
"useAddressForm": true,
"useNewTheme": true
},
"allow_notifications": true,
"allow_grid_discharge": true,
"learning_phase_enabled": true,
"learning_phase_days": 123,
"learning_phase_probing_hours": 123,
"reauthorization_link_timeout_days": 123,
"price_zone": "<string>",
"is_smart_optimization_active_default": true,
"payout_scheme": "<string>",
"excluded_device_brand_ids": [
"<string>"
],
"excluded_device_type_ids": [
"<string>"
],
"blocked_ev_brand_ids": [
"<string>"
]
},
"readonly": {
"id": "<string>",
"organization_id": "<string>",
"organization_name": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"organization": {
"name": "<string>",
"description": "<string>",
"contact": "<string>",
"default_currency": "<string>",
"country": "<string>",
"trading_enabled": true,
"optimization_basis": "<string>",
"audit_log_enabled": true
}
},
"permissions": {
"can_edit": true
},
"options": {
"device_brands": [
{
"key": "<string>",
"label": "<string>",
"category": "<string>",
"ids": [
"<string>"
],
"availability": "<string>"
}
],
"device_types": [
{
"key": "<string>",
"label": "<string>",
"category": "<string>",
"ids": [
"<string>"
],
"availability": "<string>"
}
],
"ev_brands": [
{
"id": "<string>",
"label": "<string>"
}
],
"organization": {
"countries": [
{
"id": "<string>",
"label": "<string>"
}
],
"currencies": [
{
"id": "<string>",
"label": "<string>"
}
],
"optimization_bases": [
{
"id": "<string>",
"label": "<string>"
}
],
"price_zones": [
{
"id": "<string>",
"label": "<string>"
}
]
},
"price_zones": [
{
"id": "<string>",
"label": "<string>"
}
],
"app_settings": [
{
"key": "<string>",
"label": "<string>",
"description": "<string>",
"active": true
}
]
}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /oauth2/token/
FlowPassword
- Token URL
- /api/partners/v2.0/auth/token
Path Parameters
Response
200 - application/json
OK
Was this page helpful?
⌘I
Get Settings
